<?php

use Psr\Container\ContainerInterface;

use Ulmus\ConnectionAdapter,
    Ulmus\Container\AdapterProxy;

use Storage\Session;

use function DI\autowire, DI\create, DI\get;

return [
   'lean.api:storage' => function($c) {
        $adapter = new ConnectionAdapter('lean.api', $c->get('config')['ulmus'], false);
        $adapter->resolveConfiguration();

        return $adapter;
    },
];
