<?php

namespace Lean\Api\Form\Debug;

use Lean\Api\Factory\MessageFactoryInterface;
use Lean\LanguageHandler;
use Lean\Api\{Lib, Entity};

class ErrorSave extends \Lean\Api\Form\Save {

    public function __construct(
        protected LanguageHandler $languageHandler,
        protected MessageFactoryInterface $message,
        public Entity\Error $entity,
    ) {
        parent::__construct($this->languageHandler, $this->message);

        $this->contextClass = ErrorContext::class;
    }
}
