<?php

namespace Lean\Api;

use League\Route\Strategy;

use League\Route\Http\Exception\NotFoundException;
use Lean\ApplicationStrategy\NotFoundDecoratorInterface;
use Lean\ApplicationStrategy\ThrowableHandler;
use Lean\Factory\HttpFactoryInterface;
use Picea\Asset\Asset;
use Psr\Container\ContainerInterface;
use Psr\Http\Message\ResponseInterface;
use Psr\Http\Message\ServerRequestInterface;
use Psr\Http\Server\MiddlewareInterface;
use Picea\Picea;
use Psr\Http\Server\RequestHandlerInterface;
use function DI\get;

class ApplicationStrategy extends \Lean\ApplicationStrategy {

    public function getNotFoundDecorator(NotFoundException $exception): MiddlewareInterface
    {
        return $this->getContainer()->get(NotFoundDecoratorInterface::class);
    }
}