<?php

namespace Lean\Api\Factory;

use Picea\Ui\Method\FormContextInterface;
use Picea\Ui\Method\FormInterface;
use Psr\Http\Message\ServerRequestInterface;
use Lean\LanguageHandler;
use Ulmus\Entity\EntityInterface;
use Lean\Api\Entity;

interface DebugFormFactoryInterface
{
    public function __construct(ServerRequestInterface $request, LanguageHandler $languageHandler, MessageFactoryInterface $messageFactory,);

    ### ERROR SAVE
    public function errorSave(Entity\Error|EntityInterface $entity): FormInterface;
    public function errorSaveContext(?ServerRequestInterface $request = null, ? string $formName = null): FormContextInterface;
    public function errorDelete(Entity\Error|EntityInterface $entity): FormInterface;
    public function errorDeleteContext(?ServerRequestInterface $request = null, ? string $formName = null): FormContextInterface;
}