<?php

namespace Lean\Api\Factory;

interface MessageFactoryInterface
{
    public static function generateSuccess(string $message, ? string $header = null, ? string $class = null) : self;
    public static function generateError(string $message, ? string $header = null, ? string $class = null) : self;
    public static function generateWarning(string $message, ? string $header = null, ? string $class = null) : self;
    public static function generateInformation(string $message, ? string $header = null, ? string $class = null) : self;
    public static function generateDebug(string $message, ? string $header = null, ? string $class = null) : self;
    public static function generateTrace(string $message, ? string $header = null, ? string $class = null) : self;
}
